[general]
static=yes
writeprotect=no
autofallthrough=yes
clearglobalvars=no
priorityjumping=yes

; The "Globals" category contains global variables that can be referenced
; in the dialplan with ${VARIABLE} or ${ENV(VARIABLE)} for Environmental variable
; ${${VARIABLE}} or ${text${VARIABLE}} or any hybrid
;
[globals]
;ignorepat => 9
LIMIT_PLAYAUDIO_CALLEE=yes
LIMIT_WARNING_FILE=beep
LIMIT_TIMEOUT_FILE=beep

[default]
exten => s,1,Busy(2)
exten => h,1,Busy(2)
exten => t,1,Busy(2)
exten => T,1,Busy(2)
exten => i,1,Busy(2)


[myphones]

exten => h,1,Busy(2)
exten => h,n,Hangup(1)

exten => t,1,Busy(2)
exten => T,1,Busy(2)
exten => i,1,Busy(2)

include => myextens

[macro-extdial]
exten => s,1,NoOp()
exten => s,n,AGI(agi://127.0.0.1/MyAgi?func=ExtensionDial&A01=${ARG1}&A02=${ARG2})
exten => s,n,Hangup()
exten => s,n+101,Hangup()


[myextens]
exten => 100,1,NoOp()
exten => 100,n,Macro(extdial,${CALLERID(NUM)},100)
exten => 100,n,Busy(2)
exten => 100,n+101,Busy(2)

exten => 110,1,NoOp()
exten => 110,n,Macro(extdial,${CALLERID(NUM)},110)
exten => 110,n,Busy(2)
exten => 110,n+101,Busy(2)

exten => 111,1,NoOp()
exten => 111,n,Macro(extdial,${CALLERID(NUM)},111)
exten => 111,n,Busy(2)
exten => 111,n+101,Busy(2)

exten => 112,1,NoOp()
exten => 112,n,Macro(extdial,${CALLERID(NUM)},112)
exten => 112,n,Busy(2)
exten => 112,n+101,Busy(2)

exten => 113,1,NoOp()
exten => 113,n,Macro(extdial,${CALLERID(NUM)},113)
exten => 113,n,Busy(2)
exten => 113,n+101,Busy(2)

exten => 114,1,NoOp()
exten => 114,n,Macro(extdial,${CALLERID(NUM)},114)
exten => 114,n,Busy(2)
exten => 114,n+101,Busy(2)

exten => 117,1,NoOp()
exten => 117,n,Macro(extdial,${CALLERID(NUM)},117)
exten => 117,n,Busy(2)
exten => 117,n+101,Busy(2)

exten => 118,1,NoOp()
exten => 118,n,Macro(extdial,${CALLERID(NUM)},118)
exten => 118,n,Busy(2)
exten => 118,n+101,Busy(2)

exten => 120,hint,SIP/120
exten => 120,1,NoOp()
exten => 120,n,Macro(extdial,${CALLERID(NUM)},120)
exten => 120,n,Busy(2)
exten => 120,n+101,Busy(2)

exten => 122,1,NoOp()
exten => 122,n,Macro(extdial,${CALLERID(NUM)},122)
exten => 122,n,Busy(2)
exten => 122,n+101,Busy(2)

exten => 123,1,NoOp()
exten => 123,n,Macro(extdial,${CALLERID(NUM)},123)
exten => 123,n,Busy(2)
exten => 123,n+101,Busy(2)

exten => 124,1,NoOp()
exten => 124,n,Macro(extdial,${CALLERID(NUM)},124)
exten => 124,n,Busy(2)
exten => 124,n+101,Busy(2)

exten => 2001,1,NoOp()
exten => 2001,n,Macro(extdial,${CALLERID(NUM)},2001)
exten => 2001,n,Busy(2)
exten => 2001,n+101,Busy(2)

exten => 2003,1,NoOp()
exten => 2003,n,Macro(extdial,${CALLERID(NUM)},2003)
exten => 2003,n,Busy(2)
exten => 2003,n+101,Busy(2)

exten => 2004,hint,SIP/2004
exten => 2004,1,NoOp()
exten => 2004,n,Macro(extdial,${CALLERID(NUM)},2004)
exten => 2004,n,Busy(2)
exten => 2004,n+101,Busy(2)

exten => 2005,n,Macro(extdial,${CALLERID(NUM)},2005)
exten => 2005,n,Busy(2)
exten => 2005,n+101,Busy(2)

exten => 2009,1,NoOp()
exten => 2009,n,Macro(extdial,${CALLERID(NUM)},2009)
exten => 2009,n,Busy(2)
exten => 2009,n+101,Busy(2)

exten => 2010,1,NoOp()
exten => 2010,n,Macro(extdial,${CALLERID(NUM)},2010)
exten => 2010,n,Busy(2)
exten => 2010,n+101,Busy(2)

exten => 2014,hint,SIP/2014
exten => 2014,1,NoOp()
exten => 2014,n,Macro(extdial,${CALLERID(NUM)},2014)
exten => 2014,n,Busy(2)
exten => 2014,n+101,Busy(2)

exten => 2015,1,NoOp()
exten => 2015,n,Macro(extdial,${CALLERID(NUM)},2015)
exten => 2015,n,Busy(2)
exten => 2015,n+101,Busy(2)

exten => 2017,1,NoOp()
exten => 2017,n,Macro(extdial,${CALLERID(NUM)},2017)
exten => 2017,n,Busy(2)
exten => 2017,n+101,Busy(2)

...
continued up to 9000 lines (about 700 extensions)

